h1 {
    color: #3f51b5;
    margin: 0;
    font-size: 24px;
    text-align: center;
    margin: 20px 0;
}

.course-list-wrapper {
    margin: 20px;
    display: flex;
    flex-wrap: wrap;    
    mat-card {
        margin: 15px;
        padding: 20px;
        width: 250px;
        border-radius: 20px;
        box-shadow: 0px 0px 10px 10px rgb(64 117 205 / 10%);
        h3 {
            font-size: 25px;
            color: #3f51b5;
            margin-bottom: 10px;
        }
        .author-name {
            font-size: 16px;
            color: #666666;
            margin-bottom: 5px;
        }
        mat-card-content {
            p {
                font-size: 14px;
                color: #999999;
                margin-bottom: 5px;
            }
            mat-icon {
                color: #999999;
            }
            .selected {
                color: #ffbf00;
            }
        }
        mat-card-actions {
            font-size: 15px;
            .buy-now-btn {
                color: #3f51b5;
                margin-right: 15px;
                opacity: 0.9;
            }
            .add-to-cart-btn {
                color: #f44336;
                opacity: 0.8;
            }
        }
    }
}

.search-bar-wrap {
    display: flex;
    flex-flow: column;
    margin: 20px;
    position: relative;
    justify-content: center;
    .search-ip {
        height: 50px;
        border-radius: 100px;
        width: 500px;
        border: 1px solid #3f51b5;
        outline: none;
        padding: 0 13px;
        padding-left: 40px;
        color: #3f51b5;
        font-size: 16px;
        font-weight: 500;
        letter-spacing: 0.5px;
    }
    mat-icon {
        position: absolute;
        margin-left: 10px;
        color: #3f51b5;
    }
}